Debian Bug report logs - #143941
Mandate UTF-8 for control files

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Junichi Uekawa <dancer@netfort.gr.jp>

Date: Sun, 21 Apr 2002 19:48:03 UTC

Severity: wishlist

Merged with 208011

Found in versions 3.5.5.0, 3.6.1.0

Fixed in version debian-policy/3.8.1.0

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org:
Bug#143941; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
New Bug report received and forwarded. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: submit bug tracking system <submit@bugs.debian.org>
Subject: define a usable character set for description/maintainer name etc.
Date: Mon, 22 Apr 2002 04:41:59 +0900
Package: debian-policy

I propose the following amendment to policy. The exact wording may need
a little more working.

Currently, the text encoding of the policy is undefined, 
it might be better.


--- policy.sgml.orig    Mon Apr 22 04:37:51 2002
+++ policy.sgml Mon Apr 22 04:39:34 2002
@@ -1475,7 +1475,9 @@
        <p>
          Each paragraph consists of a series of data fields; each
          field consists of the field name, followed by a colon and
-         then the data/value associated with that field.  It ends at
+         then the data/value associated with that field.  
+         The text is constructed of valid utf-8 characters.
+         It ends at
          the end of the line.  Horizontal whitespace (spaces and
          tabs) may occur immediately before or after the value and is
          ignored there; it is conventional to put a single space



-- 
dancer@debian.org  http://www.netfort.gr.jp/~dancer






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org:
Bug#143941; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 143941@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: Junichi Uekawa <dancer@netfort.gr.jp>
Cc: 143941@bugs.debian.org
Subject: Re: Bug#143941: define a usable character set for description/maintainer name etc.
Date: Sun, 21 Apr 2002 22:48:58 -0500
Hi,

	Can the debian packaging tools handle UTF-8 characters? Would
 apt-cache show be able to display the description for the package on
 the console or in a xterm? As far as I know, UTF-8 is not as
 widespread as one would hope.

	If that is the case, we should defer this move until after
 better UTF adaption. (I don't know -- I use en_US.UTF-8, but I have
 no idea what this change would entail for other locales).

	manoj
-- 
 Clones are people two.
Manoj Srivastava   <srivasta@debian.org>  <http://www.debian.org/%7Esrivasta/>
1024R/C7261095 print CB D9 F4 12 68 07 E4 05  CC 2D 27 12 1D F5 E8 6E
1024D/BF24424C print 4966 F272 D093 B493 410B  924B 21BA DABB BF24 424C



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org:
Bug#143941; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 143941@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Manoj Srivastava <srivasta@debian.org>
Cc: 143941@bugs.debian.org
Subject: Re: Bug#143941: define a usable character set for description/maintainer name etc.
Date: Mon, 22 Apr 2002 15:26:13 +0900
Manoj Srivastava <srivasta@debian.org> cum veritate scripsit:

Hello,

> 	Can the debian packaging tools handle UTF-8 characters? Would
>  apt-cache show be able to display the description for the package on
>  the console or in a xterm? As far as I know, UTF-8 is not as
>  widespread as one would hope.

The benefit of UTF-8 is that it does not break existing software.
It won't be displayed correctly on current xterm, but 
uxterm can display it.

It would be nice to have apt-cache etc. support character set 
conversion, but it is not absolutely required.


> 	If that is the case, we should defer this move until after
>  better UTF adaption. (I don't know -- I use en_US.UTF-8, but I have
>  no idea what this change would entail for other locales).

I think it is better to define a usable set of characters, 
than leave it as it is. The current situation is undesirable in that
some maintainers are putting in random latin-1 characters,
which does break in other locales.




regards,
	junichi

-- 
dancer@debian.org : Junichi Uekawa   http://www.netfort.gr.jp/~dancer
GPG Fingerprint : 17D6 120E 4455 1832 9423  7447 3059 BF92 CD37 56F4
Libpkg-guide: http://www.netfort.gr.jp/~dancer/column/libpkg-guide/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org:
Bug#143941; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Wichert Akkerman <wichert@wiggy.net>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 143941@bugs.debian.org (full text, mbox):

From: Wichert Akkerman <wichert@wiggy.net>
To: Junichi Uekawa <dancer@netfort.gr.jp>, 143941@bugs.debian.org
Subject: Re: Bug#143941: define a usable character set for description/maintainer name etc.
Date: Mon, 22 Apr 2002 12:36:07 +0200
Previously Junichi Uekawa wrote:
> I propose the following amendment to policy. The exact wording may need
> a little more working.

How about getting the tools to support this properly first and then
turning it into policy? If you do it the other way around policy
will dictate things that don't make sense (like the Enhances field
someone put in there already).

Wichert.

-- 
  _________________________________________________________________
 /wichert@wiggy.net         This space intentionally left occupied \
| wichert@deephackmode.org            http://www.liacs.nl/~wichert/ |
| 1024D/2FA3BC2D 576E 100B 518D 2F16 36B0  2805 3CB8 9250 2FA3 BC2D |



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org:
Bug#143941; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 143941@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Wichert Akkerman <wichert@wiggy.net>
Cc: 143941@bugs.debian.org
Subject: Re: Bug#143941: define a usable character set for description/maintainer name etc.
Date: Mon, 22 Apr 2002 21:36:39 +0900
Wichert Akkerman <wichert@wiggy.net> cum veritate scripsit:

> > I propose the following amendment to policy. The exact wording may need
> > a little more working.
> 
> How about getting the tools to support this properly first and then
> turning it into policy? If you do it the other way around policy
> will dictate things that don't make sense (like the Enhances field
> someone put in there already).

The text is already being used, and they are dumping random text there.
It should either be restricted to 7-bit code, or allowed to 
utf-8.  Tools can follow. Tools cannot process random data. I think it 
will take a bit of preparation time before things can be converted to 
compliant character code, whatever that may be.

At least, some kind of recommendation of the restriction should exist
there, even though there is a lack of tool supporting it.



regards,
	junichi


-- 
dancer@debian.org : Junichi Uekawa   http://www.netfort.gr.jp/~dancer
GPG Fingerprint : 17D6 120E 4455 1832 9423  7447 3059 BF92 CD37 56F4
Libpkg-guide: http://www.netfort.gr.jp/~dancer/column/libpkg-guide/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org:
Bug#143941; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Wichert Akkerman <wichert@wiggy.net>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org. Full text and rfc822 format available.

Message #30 received at 143941@bugs.debian.org (full text, mbox):

From: Wichert Akkerman <wichert@wiggy.net>
To: Junichi Uekawa <dancer@netfort.gr.jp>
Cc: 143941@bugs.debian.org
Subject: Re: Bug#143941: define a usable character set for description/maintainer name etc.
Date: Mon, 22 Apr 2002 14:40:05 +0200
Previously Junichi Uekawa wrote:
> The text is already being used, and they are dumping random text there.
> It should either be restricted to 7-bit code, or allowed to 
> utf-8.  Tools can follow.

I don't agree. You are advocating people to use a character set that
no packaging tool can handle and which is only likele to resort in
problems for people at the moment.

The sane approach would be to limit people to plain ASCII at the moment
and work on adding proper utf8 support to the various tools before
we tell people to start using utf8.

Wichert.

-- 
  _________________________________________________________________
 /wichert@wiggy.net         This space intentionally left occupied \
| wichert@deephackmode.org            http://www.liacs.nl/~wichert/ |
| 1024D/2FA3BC2D 576E 100B 518D 2F16 36B0  2805 3CB8 9250 2FA3 BC2D |



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org:
Bug#143941; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org. Full text and rfc822 format available.

Message #35 received at 143941@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Wichert Akkerman <wichert@wiggy.net>
Cc: 143941@bugs.debian.org
Subject: Re: Bug#143941: define a usable character set for description/maintainer name etc.
Date: Mon, 22 Apr 2002 23:23:04 +0900
Wichert Akkerman <wichert@wiggy.net> cum veritate scripsit:

> I don't agree. You are advocating people to use a character set that
> no packaging tool can handle and which is only likele to resort in
> problems for people at the moment.

apt can handle it, dpkg can handle it, and it gets displayed when it is
inside a utf-8 terminal.
I would say it is almost supported. 

Adding character set conversion to apt/dpkg might be a feature, but 
not a required one.


regards,
	junichi

-- 
dancer@debian.org : Junichi Uekawa   http://www.netfort.gr.jp/~dancer
GPG Fingerprint : 17D6 120E 4455 1832 9423  7447 3059 BF92 CD37 56F4
Libpkg-guide: http://www.netfort.gr.jp/~dancer/column/libpkg-guide/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org:
Bug#143941; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Wichert Akkerman <wichert@wiggy.net>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org. Full text and rfc822 format available.

Message #40 received at 143941@bugs.debian.org (full text, mbox):

From: Wichert Akkerman <wichert@wiggy.net>
To: Junichi Uekawa <dancer@netfort.gr.jp>
Cc: 143941@bugs.debian.org
Subject: Re: Bug#143941: define a usable character set for description/maintainer name etc.
Date: Mon, 22 Apr 2002 16:28:19 +0200
Previously Junichi Uekawa wrote:
> apt can handle it, dpkg can handle it, and it gets displayed when it is
> inside a utf-8 terminal.

Which is a very small minority of used terminals.

> Adding character set conversion to apt/dpkg might be a feature, but 
> not a required one.

dpkg-query will start doing it, probably in the 1.11 release or so.

Wichert.

-- 
  _________________________________________________________________
 /wichert@wiggy.net         This space intentionally left occupied \
| wichert@deephackmode.org            http://www.liacs.nl/~wichert/ |
| 1024D/2FA3BC2D 576E 100B 518D 2F16 36B0  2805 3CB8 9250 2FA3 BC2D |



Changed Bug title. Request was from Manoj Srivastava <srivasta@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 99933 143941. Request was from Manoj Srivastava <srivasta@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Manoj Srivastava <srivasta@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 99933 143941 208011. Request was from jdthood@yahoo.co.uk (Thomas Hood) to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: patch Request was from Manoj Srivastava <srivasta@golden-gryphon.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: patch Request was from Manoj Srivastava <srivasta@golden-gryphon.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: patch Request was from Manoj Srivastava <srivasta@golden-gryphon.com> to control@bugs.debian.org. Full text and rfc822 format available.

Disconnected #99933 from all other report(s). Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 17 Mar 2008 05:24:29 GMT) Full text and rfc822 format available.

Changed Bug title to `Mandate UTF-8 for control files' from `[PENDING] define a usable character set for description/maintainer name etc'. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 17 Mar 2008 05:24:30 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#143941; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #63 received at 143941@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 143941@bugs.debian.org
Subject: Re: Bug#143941: Mandate UTF-8 for control files
Date: Sat, 05 Jul 2008 15:27:12 -0700
This transition is already complete in the archive, so this change catches
Policy up with current practice.  The new paragraph would go into Policy
5.1 (Syntax of control files).  Seconds?

diff --git a/policy.sgml b/policy.sgml
index 24c9072..0f9fbdc 100644
--- a/policy.sgml
+++ b/policy.sgml
@@ -2344,6 +2344,9 @@ Package: libc6
 	  would mean a new paragraph.
 	</p>
 
+	<p>
+	  All control files must be encoded in UTF-8.
+	</p>
       </sect>
 
       <sect id="sourcecontrolfiles">

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Tags added: patch Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sat, 05 Jul 2008 22:33:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#143941; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #70 received at 143941@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Russ Allbery <rra@debian.org>, 143941@bugs.debian.org
Subject: Re: Bug#143941: Mandate UTF-8 for control files
Date: Sun, 6 Jul 2008 10:51:39 +0200
[Message part 1 (text/plain, inline)]
On Sat, Jul 05, 2008 at 03:27:12PM -0700, Russ Allbery wrote:
> This transition is already complete in the archive, so this change catches
> Policy up with current practice.  The new paragraph would go into Policy
> 5.1 (Syntax of control files).  Seconds?
> 
> diff --git a/policy.sgml b/policy.sgml
> index 24c9072..0f9fbdc 100644
> --- a/policy.sgml
> +++ b/policy.sgml
> @@ -2344,6 +2344,9 @@ Package: libc6
>  	  would mean a new paragraph.
>  	</p>
>  
> +	<p>
> +	  All control files must be encoded in UTF-8.
> +	</p>
>        </sect>
>  
>        <sect id="sourcecontrolfiles">

Seconded.


Kurt

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#143941; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #75 received at 143941@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Russ Allbery <rra@debian.org>, 143941@bugs.debian.org
Subject: Re: Bug#143941: Mandate UTF-8 for control files
Date: Sun, 6 Jul 2008 13:45:03 +0200
[Message part 1 (text/plain, inline)]
On Sat, 05 Jul 2008, Russ Allbery wrote:
> This transition is already complete in the archive, so this change catches
> Policy up with current practice.  The new paragraph would go into Policy
> 5.1 (Syntax of control files).  Seconds?

Seconded.

-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/
[signature.asc (application/pgp-signature, inline)]

Tags removed: patch Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sun, 06 Jul 2008 18:21:03 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sun, 06 Jul 2008 18:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#143941; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #84 received at 143941@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 143941@bugs.debian.org
Subject: Re: Bug#143941: Mandate UTF-8 for control files
Date: Sun, 06 Jul 2008 11:20:42 -0700
Raphael Hertzog <hertzog@debian.org> writes:
> On Sat, 05 Jul 2008, Russ Allbery wrote:

>> This transition is already complete in the archive, so this change
>> catches Policy up with current practice.  The new paragraph would go
>> into Policy 5.1 (Syntax of control files).  Seconds?

> Seconded.

Applied.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Thu, 12 Mar 2009 05:15:02 GMT) Full text and rfc822 format available.

Notification sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Bug acknowledged by developer. (Thu, 12 Mar 2009 05:15:02 GMT) Full text and rfc822 format available.

Message #89 received at 143941-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 143941-close@bugs.debian.org
Subject: Bug#143941: fixed in debian-policy 3.8.1.0
Date: Thu, 12 Mar 2009 04:47:02 +0000
Source: debian-policy
Source-Version: 3.8.1.0

We believe that the bug you reported is fixed in the latest version of
debian-policy, which is due to be installed in the Debian FTP archive:

debian-policy_3.8.1.0.dsc
  to pool/main/d/debian-policy/debian-policy_3.8.1.0.dsc
debian-policy_3.8.1.0.tar.gz
  to pool/main/d/debian-policy/debian-policy_3.8.1.0.tar.gz
debian-policy_3.8.1.0_all.deb
  to pool/main/d/debian-policy/debian-policy_3.8.1.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 143941@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated debian-policy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 11 Mar 2009 20:50:52 -0700
Source: debian-policy
Binary: debian-policy
Architecture: source all
Version: 3.8.1.0
Distribution: unstable
Urgency: low
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 debian-policy - Debian Policy Manual and related documents
Closes: 143941 163666 241333 416450 426877 446712 470994 473019 473439 479080 483418 487701 488039 489460 491985 492624 503685 511804 513955 514326
Changes: 
 debian-policy (3.8.1.0) unstable; urgency=low
 .
   * Policy: Clarify what "sensible behavior" is for init scripts
     Wording: Steve Langasek <vorlon@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Closes: #426877
   * Policy: Remove alternative changelog formats from main manual
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Ben Pfaff <blp@cs.stanford.edu>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #489460
   * Policy: Mandate UTF-8 for changelog files
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Kurt Roeckx <kurt@roeckx.be>
     Closes: #241333
   * Policy: Mandate UTF-8 for control files
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Kurt Roeckx <kurt@roeckx.be>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #143941
   * Policy: New option in DEB_BUILD_OPTIONS to avoid running test-suites
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #416450
   * Policy: Expand expected capabilities for local in /bin/sh scripts
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #473019
   * Policy: Clarify Essential definition and caution when adding to it
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Jörg Sommer <joerg@alea.gnuu.de>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #479080
   * Policy: Allow user mail spools to be mode 0600 or 0660
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Kurt Roeckx <kurt@roeckx.be>
     Seconded: Andrew McMillan <awm@debian.org>
     Closes: #470994
   * Policy: Remove special handling of init scripts ending in .sh
     Wording: Kel Modderman <kel@otaku42.de>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Henrique de Moraes Holschuh <hmh@debian.org>
     Closes: #513955
   * Policy: /var/run and /var/lock may be volatile
     Wording: Colin Watson <cjwatson@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
     Closes: #514326
   * Policy: debian/control allows comments starting with #
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Seconded: Adeodato Simó <dato@net.com.org.es>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #446712
   * Improve the documentation of maintainer script actions for diversions
     in the informative appendix to allow for addition of a new diversion
     on upgrade and handle error cases correctly.  Thanks to Olivier Berger
     for the report and Raphaël Hertzog for the review.  (Closes: #483418)
   * Clarify the meaning of architecture restrictions on build dependencies
     in the presence of alternatives.  Thanks to Guillem Jover for the
     explanation and review and Emilio Pozuelo Monfort and Don Armstrong
     for wording review.  (Closes: #163666)
   * Change the term "category" to "archive area" when referring to main,
     contrib, and non-free.  This is closer to the wording of the Social
     Contract.  (Closes: #473439)
   * Use <user>:<group> notation rather than <user>.<group> notation in
     multiple places.  Thanks, Kurt Roeckx.  (Closes: #488039)
   * Fix typo in 3.8.0.0 upgrading-checklist entry.  Patch from Kobayashi
     Noritada.  (Closes: #487701)
   * Mention debugging packages as an explicit example of packages with
     extra priority.  Thanks, Charles Plessy.  (Closes: #491985)
   * Clarify that translation is only required for user-visible debconf
     messages.  Capitalize "Debian Configuration Management Specification"
     uniformly.  Thanks, Julian Andres Klode.  (Closes: #492624)
   * Add --wildcards to the sample tar command in appendix B.1 for
     extracting the package copyright file, adjusting for new tar option
     behavior.  Thanks, Yan Morin.  (Closes: #503685)
   * Reword the requirement that maintainer scripts exit with a zero
     status on success to avoid double-negatives.
   * Include the full name of each menu category rather than only the
     portion relative to the parent heading to be clearer in long category
     lists.  Thanks, Christoph Berg.  (Closes: #511804)
   * Build-Depend on texlive rather than tetex-extra.  texlive appears to
     be sufficient for how Policy uses debiandoc-sgml and pulls in far
     fewer packages.
   * Remove the postinst and prerm scripts.  doc-base registration is now
     handled by triggers and no longer required and removal of /usr/doc
     links was completed long ago.
   * Reference GPL-2 rather than the GPL symlink in debian/copyright.
Checksums-Sha1: 
 028523613316f116df03d2b1499558ee87623752 1099 debian-policy_3.8.1.0.dsc
 a770f0706e0024419f615a7a3f0bad952204c553 642159 debian-policy_3.8.1.0.tar.gz
 e642a568cb83485d06b0db322492e693745bb6ee 1600318 debian-policy_3.8.1.0_all.deb
Checksums-Sha256: 
 05f5301cc49576d720bb86dbc6a0b5a0c3d987672d4784ba6233f50b6381bc6c 1099 debian-policy_3.8.1.0.dsc
 e870fddebf1f5d117165d495274e862262b0bc5044af03cbf6efadde4d1987c4 642159 debian-policy_3.8.1.0.tar.gz
 aabed48106680ea0412d4745cabfe549f1f66a66b401c3fa0377c57625e56d39 1600318 debian-policy_3.8.1.0_all.deb
Files: 
 aedf88a7b4300ad291f58322db840b45 1099 doc optional debian-policy_3.8.1.0.dsc
 2d8e596c21f7b15a78ceeb985a36ed41 642159 doc optional debian-policy_3.8.1.0.tar.gz
 cb433141e17276e5ba252b81303d99ab 1600318 doc optional debian-policy_3.8.1.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkm4hvcACgkQ+YXjQAr8dHZfigCeOjTIesMnR7YH/zapV1XcNfWX
7OgAnREkqxjFZC932xKiKI8SgVN9rwoN
=8ruN
-----END PGP SIGNATURE-----





Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Thu, 12 Mar 2009 05:15:03 GMT) Full text and rfc822 format available.

Notification sent to Martin Godisch <martin@godisch.de>:
Bug acknowledged by developer. (Thu, 12 Mar 2009 05:15:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 19 Apr 2009 07:28:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:55:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.